Bug 14120 - Silence warnings t/db_dependent/Auth.t
Summary: Silence warnings t/db_dependent/Auth.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 5010
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-02 04:08 UTC by M. Tompsett
Modified: 2016-12-05 21:23 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14120: Fixing t/db_dependent/Auth.t noise (1.63 KB, patch)
2015-05-02 04:14 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14120: Fixing t/db_dependent/Auth.t noise (1.77 KB, patch)
2015-05-15 22:32 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 14120: Fixing t/db_dependent/Auth.t noise (1.82 KB, patch)
2015-05-29 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-02 04:08:27 UTC
prove t/db_dependent/Auth.t is noisy. Reduce the noise.
Comment 1 M. Tompsett 2015-05-02 04:09:53 UTC
In order to fully remove all the warnings, bug 5010 needs to be applied. Fixing the updatedatabase.pl for the application is easy enough.
Comment 2 M. Tompsett 2015-05-02 04:14:05 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2015-05-15 22:32:22 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-05-29 15:32:56 UTC
Created attachment 39691 [details] [review]
[PASSED QA] Bug 14120: Fixing t/db_dependent/Auth.t noise

TEST PLAN
---------
1) $ prove t/db_dependent/Auth.t
   -- warnings
2) Apply this patch
3) $ prove t/db_dependent/Auth.t
   -- only one specific type of warning
4) Apply bug 5010 patch
5) $ prove t/db_dependent/Auth.t
   -- noisy is eliminated
6) koha qa test tools.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
With patch only one warn
With 5010 no more warns
No errors

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-06-01 17:18:13 UTC
Patch pushed to master.

Thanks Mark!